#include "SessionTool.h"
#include "User/Tool/UserTool.h"


heroim::client::v3beta::dto::message::model::SessionKey* CsdkSessionTool::MakePbSessionKey(
	const FCsdkSessionId& SessionId)
{
	heroim::client::v3beta::dto::message::model::SessionKey* PbSessionKey =new heroim::client::v3beta::dto::message::model::SessionKey;
	PbSessionKey->set_targetid(FSTRING_TO_STD_STRING(SessionId.ReceiverId));
	PbSessionKey->set_serverid(FSTRING_TO_STD_STRING(SessionId.ServerId));
	PbSessionKey->set_sessiontype(static_cast<heroim::client::v3beta::dto::message::model::SessionType>(SessionId.Type.GetValue()));
	return PbSessionKey;
}
